package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.CoChargingConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 商户能源计费配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-26
 */
public interface CoChargingConfigMapper {
    /**
     * 查询商户能源计费配置
     *
     * @param id 商户能源计费配置主键
     * @return 商户能源计费配置
     */
    CoChargingConfig selectCoChargingConfigById(Long id);

    /**
     * 查询商户能源计费配置
     *
     * @param areaCode 商户能源计费配置主键
     * @return 商户能源计费配置
     */
    CoChargingConfig selectByArea(@Param("areaCode") String areaCode);

    /**
     * 查询商户能源计费配置列表
     *
     * @param coChargingConfig 商户能源计费配置
     * @return 商户能源计费配置集合
     */
    List<CoChargingConfig> selectCoChargingConfigList(CoChargingConfig coChargingConfig);

    /**
     * 新增商户能源计费配置
     *
     * @param coChargingConfig 商户能源计费配置
     * @return 结果
     */
    int insertCoChargingConfig(CoChargingConfig coChargingConfig);

    /**
     * 修改商户能源计费配置
     *
     * @param coChargingConfig 商户能源计费配置
     * @return 结果
     */
    int updateCoChargingConfig(CoChargingConfig coChargingConfig);

    /**
     * 删除商户能源计费配置
     *
     * @param id 商户能源计费配置主键
     * @return 结果
     */
    int deleteCoChargingConfigById(Long id);

    /**
     * 批量删除商户能源计费配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCoChargingConfigByIds(Long[] ids);
}
